Get all anomaly notifications
curl --request GET \
--url https://api.vantage.sh/v2/anomaly_notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/anomaly_notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/anomaly_notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/anomaly_notifications",
"first": "https://api.vantage.sh/v2/anomaly_notifications?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/anomaly_notifications?page=1",
"prev": null
},
"anomaly_notifications": [
{
"token": "rprt_alrt_ecb76d8d2825762f",
"cost_report_token": "rprt_45fe4d4c1779ce7e",
"created_at": "2024-04-09T15:05:37Z",
"updated_at": "2024-04-09T15:05:37Z",
"threshold": 10,
"user_tokens": [
"usr_13477ee1b1eb81ba"
],
"recipient_channels": []
}
]
}AnomalyNotifications
Get all anomaly notifications
Return all Anomaly Notifications.
GET
/
anomaly_notifications
Get all anomaly notifications
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I